# Class PropertyId<T>

java.lang.Object
com.thaiopensource.util.PropertyId<T>

Direct Known Subclasses:
  `FlagPropertyId`, `StringPropertyId`

public class PropertyId<T> extends Object

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `PropertyId(String name, Class<T> valueClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object obj)`
  `T`
  `get(PropertyMap map)`
  Deprecated.
  `Class<T>`
  `getValueClass()`
  `final int`
  `hashCode()`
  `static <T> PropertyId<T>`
  `newInstance(String name, Class<T> valueClass)`
  `T`
  `put(PropertyMapBuilder builder, T value)`
  Deprecated.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PropertyId

    protected PropertyId(String name, Class<T> valueClass)

- ## Method Details

  - ### newInstance

    public static <T> PropertyId<T> newInstance(String name, Class<T> valueClass)

  - ### getValueClass

    public Class<T> getValueClass()

  - ### hashCode

    public final int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public final boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### get

    public T get(PropertyMap map)
    Deprecated.

  - ### put

    public T put(PropertyMapBuilder builder, T value)
    Deprecated.